# BEGIN SourceDeps(oneline):
BuildRequires: perl(Capture/Tiny.pm) perl(Class/Load.pm) perl(Class/Tiny.pm) perl(Dancer2.pm) perl(Dancer2/Core/Types.pm) perl(Dancer2/Plugin.pm) perl(Data/Structure/Util.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(File/pushd.pm) perl(Getopt/Long.pm) perl(HTTP/Cookies.pm) perl(HTTP/Request/Common.pm) perl(Hash/Flatten.pm) perl(JSON.pm) perl(Moo.pm) perl(Net/Etcd.pm) perl(Path/Class.pm) perl(Path/Tiny.pm) perl(Plack.pm) perl(Scalar/Util.pm) perl(Sub/Quote.pm) perl(Sys/Hostname.pm) perl(Test/Exception.pm) perl(Test/Fatal.pm) perl(Test/More.pm) perl(Test/Requires.pm) perl(Try/Tiny.pm) perl(URI.pm) perl(YAML/Syck.pm) perl(namespace/clean.pm)
# END SourceDeps(oneline)
%define module_name Dancer2-Plugin-Etcd
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.011
Release: alt1
Summary: Access to etcd v3 API via Dancer2
Group: Development/Perl
License: perl
URL: https://github.com/PerlDancer/Dancer2-Plugin-Etcd/

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/H/HE/HEXFUSION/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
The `etcd' keyword which is exported by this plugin allows you to 
connect directly to etcd v3 api.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.pod
%perl_vendor_privlib/D*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
* Mon Aug 28 2017 Igor Vlasenko <viy@altlinux.ru> 0.011-alt1
- initial import by package builder

